Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ProjectHRPerson
    Inherits BaseObject

    Private _ProjectHeader As ProjectHeader
    Private _HRPerson As HRPerson

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("ProjectHeader-ProjectHRPerson", GetType(ProjectHRPerson)), VisibleInListView(False)> _
    Property ProjectHeader As ProjectHeader
        Get
            Return _ProjectHeader
        End Get
        Set(value As ProjectHeader)
            SetPropertyValue("ProjectHeader", _ProjectHeader, value)
        End Set
    End Property
    Property HRPerson As HRPerson
        Get
            Return _HRPerson
        End Get
        Set(value As HRPerson)
            SetPropertyValue("HRPerson", _HRPerson, value)
        End Set
    End Property
End Class
